
=begin コメント

libguestfs generated file
 WARNING: THIS FILE IS GENERATED FROM THE FOLLOWING FILES:
          generator/fish.ml
          and from the code in the generator/ subdirectory.
 ANY CHANGES YOU MAKE TO THIS FILE WILL BE LOST.

 Copyright (C) 2009-2020 Red Hat Inc.

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

=end コメント

=head2 B<-N disk> - create a blank disk

C<guestfish -N [I<filename>=]disk[:I<size>]>

Create a blank disk, size 1G (by default).

The default size can be changed by supplying an optional parameter.

オプションのパラメーターは次のとおりです:

 Name          Default value
 size          1G            the size of the disk image

=head2 B<-N part> - create a partitioned disk

C<guestfish -N [I<filename>=]part[:I<size>[:I<partition>]]>

Create a disk with a single partition.  By default the size of the disk is
1G (the available space in the partition will be a tiny bit smaller)  and
the partition table will be MBR (old DOS-style).

These defaults can be changed by supplying optional parameters.

オプションのパラメーターは次のとおりです:

 Name          Default value
 size          1G            the size of the disk image
 partition     mbr           partition table type

=head2 B<-N fs> - create a filesystem

C<guestfish -N [I<filename>=]fs[:I<filesystem>[:I<size>[:I<partition>]]]>

Create a disk with a single partition, with the partition containing an
empty filesystem.  This defaults to creating a 1G disk (the available space
in the filesystem will be a tiny bit smaller) with an MBR (old DOS-style)
partition table and an ext2 filesystem.

These defaults can be changed by supplying optional parameters.

オプションのパラメーターは次のとおりです:

 Name          Default value
 filesystem    ext2          the type of filesystem to use
 size          1G            the size of the disk image
 partition     mbr           partition table type

=head2 B<-N lv> - create a disk with logical volume

C<guestfish -N [I<filename>=]lv[:I<name>[:I<size>[:I<partition>]]]>

Create a disk with a single partition, set up the partition as an LVM2
physical volume, and place a volume group and logical volume on there.  This
defaults to creating a 1G disk with the VG and LV called C</dev/VG/LV>.  You
can change the name of the VG and LV by supplying an alternate name as the
first optional parameter.

Note this does not create a filesystem.  Use 'lvfs' to do that.

オプションのパラメーターは次のとおりです:

 Name          Default value
 name          /dev/VG/LV    the name of the VG and LV to use
 size          1G            the size of the disk image
 partition     mbr           partition table type

=head2 B<-N lvfs> - create a disk with logical volume and filesystem

C<guestfish -N
[I<filename>=]lvfs[:I<name>[:I<filesystem>[:I<size>[:I<partition>]]]]>

Create a disk with a single partition, set up the partition as an LVM2
physical volume, and place a volume group and logical volume on there.  Then
format the LV with a filesystem.  This defaults to creating a 1G disk with
the VG and LV called C</dev/VG/LV>, with an ext2 filesystem.

オプションのパラメーターは次のとおりです:

 Name          Default value
 name          /dev/VG/LV    the name of the VG and LV to use
 filesystem    ext2          the type of filesystem to use
 size          1G            the size of the disk image
 partition     mbr           partition table type

=head2 B<-N bootroot> - create a boot and root filesystem

C<guestfish -N
[I<filename>=]bootroot[:I<bootfs>[:I<rootfs>[:I<size>[:I<bootsize>[:I<partition>]]]]]>

Create a disk with two partitions, for boot and root filesystem.  Format the
two filesystems independently.  There are several optional parameters which
control the exact layout and filesystem types.

オプションのパラメーターは次のとおりです:

 Name          Default value
 bootfs        ext2          the type of filesystem to use for boot
 rootfs        ext2          the type of filesystem to use for root
 size          1G            the size of the disk image
 bootsize      128M          the size of the boot filesystem
 partition     mbr           partition table type

=head2 B<-N bootrootlv> - create a boot and root filesystem using LVM

C<guestfish -N
[I<filename>=]bootrootlv[:I<name>[:I<bootfs>[:I<rootfs>[:I<size>[:I<bootsize>[:I<partition>]]]]]]>

This is the same as C<bootroot> but the root filesystem (only) is placed on
a logical volume, named by default C</dev/VG/LV>.  There are several
optional parameters which control the exact layout.

オプションのパラメーターは次のとおりです:

 Name          Default value
 name          /dev/VG/LV    the name of the VG and LV for root
 bootfs        ext2          the type of filesystem to use for boot
 rootfs        ext2          the type of filesystem to use for root
 size          1G            the size of the disk image
 bootsize      128M          the size of the boot filesystem
 partition     mbr           partition table type

